package top.r3944realms.lib39.core.compat;

import net.minecraft.resources.Identifier;
import org.jetbrains.annotations.NotNull;

import java.util.HashMap;
import java.util.Map;

/**
 * The type Simple compat manager.
 */
public class SimpleCompatManager extends CompatManager<ICompat> {
    /**
     * The Compats.
     */
    Map<Identifier, ICompat> compats = new HashMap<>();

    /**
     * Instantiates a new Compat manager.
     *
     * @param id the id
     */
    public SimpleCompatManager(@NotNull Identifier id) {
        super(id);
    }

    @Override
    public Map<Identifier, ICompat> getCompatMap() {
        return compats;
    }
}
